Bug 827845 - OVIRT-CLI: cli does not support 3+ deep collections/resources
OVIRT-CLI: cli does not support 3+ deep collections/resources
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1
Assigned To: Michael Pasternak
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 05:15 EDT by Michael Pasternak
Modified: 2014-01-12 19:37 EST (History)
6 users (show)

See Also:
Fixed In Version: 3.1.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-06-03 05:15:45 EDT
Description of problem:

for instance:

[oVirt shell (connected)]# list permits 
grouprole  role       show-all   userrole   

grouprole and userrole should require two base identifyers (as they're 3-rd
level resources): --group-identifier /--role-identifier and --user-identifier /--role-identifier 

instead these resources considered as 2-nd level resource and auto-competition
suggest single option: --grouprole-identifier / --userrole-identifier 

this is happens due to support of 3+ period based URLs in sdk that 
was recently added.
Comment 1 Itamar Heim 2012-08-09 03:57:10 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.